Create Firmware Remediation Job

Create Firmware Remediation Job.
This method allows users to create remediation jobs for firmware patches.

KeyMeaningMandatoryData Type
accountidAccount identifierYesstring
nameName of the remediation jobYesstring
scheduleSchedule date (YYYY-MM-DD format), or immediate to run at onceYesstring
starttimeJob start time (HH:MM:AM/PM format)No (required unless schedule is immediate)string
startwindowtimeJob start window time (HH:MM:AM/PM format)No (required unless schedule is immediate)string
endtimeJob end time (HH:MM:AM/PM format)Nostring
forcerebootForce reboot option (true/false)Nostring
deviceTarget device(s)Yesarray
remjobpatchesinfoFirmware patch details including patch metadata (JSON array)Yesarray
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Patch.createFirmwareRemediationJob(
  accountid="Demo Account",
  name="demo job",
  schedule="immediate",
  device=["device 1"],
  remjobpatchesinfo=[
        {
         "patchname": "ATA Channel 1",
         "patchid": "pid:PCIIDE\\IDECHANNEL\\4&3084357F&0&1",
         "detected": "2024-08-20 01:42:03 PM UTC",
         "vendor": "microsoft"
        },
        {
         "patchname": "Common KVM processor",
         "patchid": "pid:ACPI\\GENUINEINTEL_-_INTEL64_FAMILY_15_MODEL_6_-_COMMON_KVM_PROCESSOR\\_3",
         "detected": "2024-08-20 01:42:03 PM UTC",
         "vendor": "microsoft"
        }
      ]
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json